#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long int n,k;
    scanf("%li %li",&n,&k);
    long int tomb[n],a[n],b[n];
    long int i,j;

    for(i=0;i<n;i++)
        scanf("%li",&tomb[i]);

    for(i=0;i<=n;i++)
    {
        a[i]=0;
        b[i]=0;
    }

    for(i=0;i<n;i++)
    {
        if (tomb[i]<0)
        {
            for(j=1;j<=n;j++)
            {
                if(abs(tomb[i])==j)
                {
                    b[j]++;
                }
            }

        }

        if (tomb[i]>=0)
        {
            for(j=0;j<=n;j++)
            {
                if(tomb[i]==j)
                {
                    a[j]++;
                }
            }
        }
    }

    long int p=0;
    for(i=0;i<=n;i++)
    {
        if(a[i]>=k)
            p++;
    }
    for(i=1;i<=n;i++)
    {
        if(b[i]>=k)
            p++;
    }

    printf("%li\n",p);


    for(i=0;i<=n;i++)
    {
        if(a[i]>=k)
            printf("%li ",i);
    }
    for(i=1;i<=n;i++)
    {
        if(b[i]>=k)
            printf("%li ",i*-1);
    }

    return 0;
}